#!/usr/bin/env pytest
###############################################################################
# $Id$
#
# Project:  GDAL/OGR Test Suite
# Purpose:  Test MFF2 driver
# Author:   Even Rouault, <even dot rouault at spatialys.com>
#
###############################################################################
# Copyright (c) 2009, Even Rouault <even dot rouault at spatialys.com>
#
# SPDX-License-Identifier: MIT
###############################################################################

import gdaltest
import pytest

pytestmark = pytest.mark.require_driver("MFF2")

###############################################################################
# Test reading a MFF2 file generated by CreateCopy()


def test_mff2_1():

    tst = gdaltest.GDALTest("MFF2", "mff2/bytemff2", 1, 4672)
    tst.testOpen()


###############################################################################
# Test writing a MFF2 file


def test_mff2_write():

    with gdaltest.config_option("GDAL_PAM_ENABLED", "NO"):
        tst = gdaltest.GDALTest("MFF2", "mff2/bytemff2", 1, 4672)
        tst.testCreateCopy(check_srs=True)
